// OpenCV headers
#include "cvaux.h"
#include "highgui.h"

int main(int argc, char* argv[])
{
	// Servira  rcuprer le code la touche de clavier appuye pour
	// terminer le programme.
	int c = 0;

	// Ouverture de la webcam numro 0 (1re webcam trouve).
	CvCapture* webcam0 = cvCaptureFromCAM(0);

	// Contiendra l'image courante de la webcam.
	IplImage* image = NULL;

	// Cration d'une fentre.
	cvNamedWindow("Fentre");

	for (;;)
	{
		// Rcupration d'une image de la webcam.
		image = cvQueryFrame(webcam0);

		// Affichage de l'image courante de la webcam.
		cvShowImage("Fentre", image);

		// Attend jusqu' 10 ms que l'utilisateur appuye sur une touche et
		// retourne le code de la touche.
		c = cvWaitKey(10);

		// En cas d'appui sur la touche ECHAP, stoppe la boucle.
		if ((char)c == 27)
		{
			break;
		}
	}

	// Libration de la mmoire utilise pour la webcam.
	cvReleaseCapture(&webcam0);

	// Destruction de la fentre.
	cvDestroyWindow("Fentre");

	return 0;
}
