// OpenCV headers
#include "cvaux.h"
#include "highgui.h"

int main(int argc, char* argv[])
{
	// Chargement d'une image au format bitmap.
	IplImage* image = cvLoadImage("image.bmp");

	// Cration d'une fentre.
	cvNamedWindow("Fentre");

	// Affichage de l'image.
	cvShowImage("Fentre", image);

	// Attend que l'utilisateur appuye sur une touche.
	cvWaitKey(0);

	// Libration de la mmoire utilise pour l'image charge.
	cvReleaseImage(&image);

	// Destruction de la fentre.
	cvDestroyWindow("Fentre");

	return 0;
}
