// OpenCV headers
#include "cvaux.h"
#include "highgui.h"

int main(int argc, char* argv[])
{
	// Ouverture de la webcam numro 0 (1re webcam trouve).
	CvCapture* webcam0 = cvCaptureFromCAM(0);

	// Rcupration d'une image de la webcam.
	IplImage* image = cvQueryFrame(webcam0);

	// Cration d'une fentre.
	cvNamedWindow("Fentre");

	// Affichage de l'image courante de la webcam.
	cvShowImage("Fentre", image);

	// Attend que l'utilisateur appuye sur une touche.
	cvWaitKey(0);

	// Libration de la mmoire utilise pour la webcam.
	cvReleaseCapture(&webcam0);

	// Destruction de la fentre.
	cvDestroyWindow("Fentre");

	return 0;
}
