// OpenCV2.2 headers
#include "opencv/highgui.h"

int main(int argc, char* argv[])
{	
	// Chargement d'une image au format bitmap.
	IplImage* image = cvLoadImage("image.bmp");

	// Rcupre une conversion en unsigned char* de image->imageData,
	// qui tait de type char*.
	unsigned char* data = reinterpret_cast<unsigned char*>(image->imageData);

	for (int i = 0; i < image->height; i++)
	{
		for (int j = 0; j < image->width; j++)
		{
			//data[0+3*j+3*image->width*i] = 0; // Bleu
			//data[1+3*j+3*image->width*i] = 0; // Vert
			data[2+3*j+3*image->width*i] = 0; // Rouge
		}
	}

	// Cration d'une fentre.
	cvNamedWindow("Fentre");

	// Affichage de l'image.
	cvShowImage("Fentre", image);

	// Attend que l'utilisateur appuye sur une touche.
	cvWaitKey(0);

	// Libration de la mmoire utilise pour l'image charge.
	cvReleaseImage(&image);

	// Destruction de la fentre.
	cvDestroyWindow("Fentre");

	return 0;
}
