CONFIG += console

TEMPLATE = app

TARGET = DisplayImageOpenCV

INCLUDEPATH += $$(SYSTEMDRIVE)/OpenCV2.2/include
LIBS += -L$$(SYSTEMDRIVE)/OpenCV2.2/lib

build_pass:CONFIG(debug, debug|release) {
 LIBS += -lopencv_calib3d220d -lopencv_contrib220d -lopencv_core220d -lopencv_features2d220d -lopencv_ffmpeg220d -lopencv_flann220d -lopencv_gpu220d -lopencv_highgui220d -lopencv_imgproc220d -lopencv_legacy220d -lopencv_ml220d -lopencv_objdetect220d -lopencv_ts220 -lopencv_video220d
}
build_pass:CONFIG(release, debug|release) {
 LIBS += -lopencv_calib3d220 -lopencv_contrib220 -lopencv_core220 -lopencv_features2d220 -lopencv_ffmpeg220 -lopencv_flann220 -lopencv_gpu220 -lopencv_highgui220 -lopencv_imgproc220 -lopencv_legacy220 -lopencv_ml220 -lopencv_objdetect220 -lopencv_ts220 -lopencv_video220
}

SOURCES += \
    DisplayImageOpenCV.cpp
